Functions to properly handle HTTP responses.
Functions & methods
| Name | Description |
|---|---|
| drupal_access_denied | Delivers an "access denied" error to the browser. |
| drupal_encode_path | Encodes a Drupal path for use in a URL. |
| drupal_get_destination | Prepares a 'destination' URL query parameter for use with drupal_goto(). |
| drupal_get_query_array | Splits a URL-encoded query string into an array. |
| drupal_get_query_parameters | Processes a URL query parameter array to remove unwanted elements. |
| drupal_goto | Sends the user to a different Drupal page. |
| drupal_http_build_query | Parses an array into a valid, rawurlencoded query string. |
| drupal_http_request | Performs an HTTP request. |
| drupal_not_found | Delivers a "page not found" error to the browser. |
| drupal_parse_url | Parses a system URL string into an associative array suitable for url(). |
| drupal_site_offline | Delivers a "site is under maintenance" message to the browser. |
File
- includes/
common.inc, line 388 - Common functions that many Drupal modules will need to reference.